Subject: linux-next: manual merge of the counter-next tree with the counter-current tree

From: [email-masked]
Date: Wed, 28 Sep 2022 18:32:48 +0100

Hi all,

Today's linux-next merge of the counter-next tree got a conflict in:

  include/linux/counter.h

between commit:

  8294b04153c33 ("counter: Realign counter_comp comment block to 80 characters")

from the counter-current tree and commits:

  88f48f81d496f ("counter: Realign counter_comp comment block to 80 characters")
  b6e53438badcb ("counter: Introduce the Signal polarity component")
  3cebaa0b807a2 ("counter: Introduce the Count capture component")
  a51fd608704bd ("counter: Introduce the COUNTER_COMP_ARRAY component type")

from the counter-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc include/linux/counter.h
index a81234bc8ea8e,c41fa602ed283..0000000000000
--- a/include/linux/counter.h
+++ b/include/linux/counter.h